Subject: Ticket Assigned - Landmark Group
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 31 Oct 2021 02:53:44 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Dear Landmark Group,

Good morning!

My name is Sajil V S.I tried to make one order on 26/10/2021 but couldn't make the order. Because I got message from SPLASH like  payment didn't go through.I tried to make payment 2 times so each time 50 dirham debited from the account.As per message from SPLASH if cash debited from the account then please contact the bank.So I contact NBD bank and they told bome that transaction is in hold by Landmark group so please provide the transaction number to your group.So kindly note the numbers for both transactions. 501890 and 501891.From the bank they told me to request you people to release the amount back to NBD credit  card account  or make the transaction successfully. But I think better to return the amount to my credit card then I will make the order after that.Because already 50 dirhams two times so 100 dirhams totally now debited from my account.So kindly do the needful.

Thanks and Regards, 

Sajil V S. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3275672